<%@LANGUAGE="VBSCRIPT"%>
<!--#include file="../Connections/realty.asp" -->
<%
' *** Edit Operations: declare variables

MM_editAction = CStr(Request("URL"))
If (Request.QueryString <> "") Then
  MM_editAction = MM_editAction & "?" & Request.QueryString
End If

' boolean to abort record edit
MM_abortEdit = false

' query string to execute
MM_editQuery = ""
%>
<%
' *** Insert Record: set variables (With IDENTITY Funtionality. Author George Petrov)

If (CStr(Request("MM_insert")) <> "") Then

  MM_editConnection = MM_realty_STRING
  MM_editTable = "Listings"
  MM_editRedirectUrl = "addListing-response.asp"
  MM_fieldsStr  = "MLSNumber|value|File1|value|Active|value|PropertyRegionID|value|PropertyTownID|value|PropertyTypeID|value|BedroomID|value|BathroomID|value|ListingAddress|value|ListingPrice|value|PropertyAge|value|ListingSqFt|value|ListingLotSize|value|ListingDesc|value|Remarks|value|Equipment|value|Amenities|value|Basement|value"
  MM_columnsStr = "MLSNumber|',none,''|ListingPic|',none,''|Active|none,-1,0|PropertyRegionID|none,none,NULL|PropertyTownID|none,none,NULL|PropertyTypeID|none,none,NULL|BedroomID|none,none,NULL|BathroomID|none,none,NULL|ListingAddress|',none,''|ListingPrice|none,none,NULL|PropertyAge|none,none,NULL|ListingSqFt|',none,''|ListingLotSize|',none,''|ListingDesc|',none,''|Remarks|',none,''|Equipment|',none,''|Amenities|',none,''|Basement|none,-1,0"

  ' create the MM_fields and MM_columns arrays
  MM_fields = Split(MM_fieldsStr, "|")
  MM_columns = Split(MM_columnsStr, "|")
  
  ' set the form values
  For i = LBound(MM_fields) To UBound(MM_fields) Step 2
    MM_fields(i+1) = CStr(Request.Form(MM_fields(i)))
  Next

  ' append the query string to the redirect URL
  If (MM_editRedirectUrl <> "" And Request.QueryString <> "") Then
    If (InStr(1, MM_editRedirectUrl, "?", vbTextCompare) = 0 And Request.QueryString <> "") Then
      MM_editRedirectUrl = MM_editRedirectUrl & "?" & Request.QueryString
    Else
      MM_editRedirectUrl = MM_editRedirectUrl & "&" & Request.QueryString
    End If
  End If

End If
%>
<%
' *** Insert Record: construct a sql insert statement and execute it  (With IDENTITY Funtionality. Author George Petrov)

If (CStr(Request("MM_insert")) <> "") Then

  ' create the sql insert statement
  MM_tableValues = ""
  MM_dbValues = ""
  For i = LBound(MM_fields) To UBound(MM_fields) Step 2
    FormVal = MM_fields(i+1)
    MM_typeArray = Split(MM_columns(i+1),",")
    Delim = MM_typeArray(0)
    If (Delim = "none") Then Delim = ""
    AltVal = MM_typeArray(1)
    If (AltVal = "none") Then AltVal = ""
    EmptyVal = MM_typeArray(2)
    If (EmptyVal = "none") Then EmptyVal = ""
    If (FormVal = "") Then
      FormVal = EmptyVal
    Else
      If (AltVal <> "") Then
        FormVal = AltVal
      ElseIf (Delim = "'") Then  ' escape quotes
        FormVal = "'" & Replace(FormVal,"'","''") & "'"
      Else
        FormVal = Delim + FormVal + Delim
      End If
    End If
    If (i <> LBound(MM_fields)) Then
      MM_tableValues = MM_tableValues & ","
      MM_dbValues = MM_dbValues & ","
    End if
    MM_tableValues = MM_tableValues & MM_columns(i)
    MM_dbValues = MM_dbValues & FormVal
  Next
  MM_editQuery = "insert into " & MM_editTable & " (" & MM_tableValues & ") values (" & MM_dbValues & ")"

  If (Not MM_abortEdit) Then
    ' execute the insert
    Set MM_editCmd = Server.CreateObject("ADODB.Command")
    MM_editCmd.ActiveConnection = MM_editConnection
	MM_editCmd.CommandText = MM_editQuery
	MM_editCmd.Execute
	MM_editCmd.CommandText = "SELECT @" & "@IDENTITY"
	Set rsLastIdent = MM_editCmd.Execute
	if NOT rsLastIdent.EOF then
    	LastIdent = rsLastIdent(0).Value
    end if
    MM_editCmd.ActiveConnection.Close

    If (MM_editRedirectUrl <> "") Then
      Response.Redirect(MM_editRedirectUrl & "?ListingID=" & LastIdent)
    End If
  End If

End If
%>
<%
Dim rsPropertyRegion
Dim rsPropertyRegion_numRows

Set rsPropertyRegion = Server.CreateObject("ADODB.Recordset")
rsPropertyRegion.ActiveConnection = MM_realty_STRING
rsPropertyRegion.Source = "SELECT * FROM PropertyRegion"
rsPropertyRegion.CursorType = 0
rsPropertyRegion.CursorLocation = 2
rsPropertyRegion.LockType = 1
rsPropertyRegion.Open()

rsPropertyRegion_numRows = 0
%>
<%
Dim rsPropertyTown
Dim rsPropertyTown_numRows

Set rsPropertyTown = Server.CreateObject("ADODB.Recordset")
rsPropertyTown.ActiveConnection = MM_realty_STRING
rsPropertyTown.Source = "SELECT * FROM PropertyTown"
rsPropertyTown.CursorType = 0
rsPropertyTown.CursorLocation = 2
rsPropertyTown.LockType = 1
rsPropertyTown.Open()

rsPropertyTown_numRows = 0
%>
<%
Dim rsPropertyType
Dim rsPropertyType_numRows

Set rsPropertyType = Server.CreateObject("ADODB.Recordset")
rsPropertyType.ActiveConnection = MM_realty_STRING
rsPropertyType.Source = "SELECT * FROM PropertyType"
rsPropertyType.CursorType = 0
rsPropertyType.CursorLocation = 2
rsPropertyType.LockType = 1
rsPropertyType.Open()

rsPropertyType_numRows = 0
%>
<html>
<head>
<title>Chip Havilmyer - Add Listing</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="../realty.css" type="text/css">
<!-- Dynamic Dependent List box Code for *** VBScript *** Server Model //-->
<script language="JavaScript">
<!--

var arrDynaList = new Array();
var arrDL1 = new Array();

arrDL1[1] = "PropertyRegionID";        // Name of parent list box
arrDL1[2] = "form1";                   // Name of form containing parent list box
arrDL1[3] = "PropertyTownID";          // Name of child list box
arrDL1[4] = "form1";                   // Name of form containing child list box
arrDL1[5] = arrDynaList;
  
<%
Dim txtDynaListRelation, txtDynaListLabel, txtDynaListValue, oDynaListRS

txtDynaListRelation = "PropertyRegionID"     ' Name of recordset field relating to parent
txtDynaListLabel = "PropertyTownName"        ' Name of recordset field for child Item Labels
txtDynaListValue = "PropertyTownID"          ' Name of recordset field for child Values
Set oDynaListRS = rsPropertyTown             ' Name of child list box recordset
  
Dim varDynaList
varDynaList = -1

Dim varMaxWidth
varMaxWidth = "1"

Dim varCheckGroup
varCheckGroup = oDynaListRS.Fields.Item(txtDynaListRelation).Value

Dim varCheckLength
varCheckLength = 0

Dim varMaxLength
varMaxLength = 0

While (NOT oDynaListRS.EOF)

 If (varCheckGroup <> oDynaListRS.Fields.Item(txtDynaListRelation).Value) Then
  If (varCheckLength > varMaxLength) Then
   varMaxLength = varCheckLength
  End If
  varCheckLength = 0
 End If
%>
 arrDynaList[<%=(varDynaList+1)%>] = "<%=(oDynaListRS.Fields.Item(txtDynaListRelation).Value)%>"
 arrDynaList[<%=(varDynaList+2)%>] = "<%=(oDynaListRS.Fields.Item(txtDynaListLabel).Value)%>"
 arrDynaList[<%=(varDynaList+3)%>] = "<%=(oDynaListRS.Fields.Item(txtDynaListValue).Value)%>"
<%
 If (len(oDynaListRS.Fields.Item(txtDynaListLabel).Value) > len(varMaxWidth)) Then
  varMaxWidth = oDynaListRS.Fields.Item(txtDynaListLabel).Value
 End If
 varCheckLength = varCheckLength + 1
 varDynaList = varDynaList + 3
 oDynaListRS.MoveNext()
Wend

If (varCheckLength > varMaxLength) Then
 varMaxLength = varCheckLength
End If
%>

//-->
</script>
<!-- End of object/array definitions, beginning of generic functions -->
<script language="JavaScript">
<!--
function setDynaList(arrDL){

 var oList1 = document.forms[arrDL[2]].elements[arrDL[1]];
 var oList2 = document.forms[arrDL[4]].elements[arrDL[3]];
 var arrList = arrDL[5];
 
 clearDynaList(oList2);
 
 if (oList1.selectedIndex == -1){
  oList1.selectedIndex = 0;
 }

 populateDynaList(oList2, oList1[oList1.selectedIndex].value, arrList);
 return true;
}
 
function clearDynaList(oList){

 for (var i = oList.options.length; i >= 0; i--){
  oList.options[i] = null;
 }
 
 oList.selectedIndex = -1;
}
 
function populateDynaList(oList, nIndex, aArray){

 for (var i = 0; i < aArray.length; i= i + 3){
  if (aArray[i] == nIndex){
   oList.options[oList.options.length] = new Option(aArray[i + 1], aArray[i + 2]);
  }
 }

 if (oList.options.length == 0){
  oList.options[oList.options.length] = new Option("[none available]",0);
 }
 
 oList.selectedIndex = 0;
}

//-->
</script>
<SCRIPT Language="JavaScript" type="text/javascript">
<!--

function MM_openBrWindow(theURL,winName,features, 
myWidth, myHeight, isCenter) { //v3.0
  if(window.screen)if(isCenter)if(isCenter=="true"){
    var myLeft = (screen.width-myWidth)/2;
    var myTop = (screen.height-myHeight)/2;
    features+=(features!='')?',':'';
    features+=',left='+myLeft+',top='+myTop;
  }
window.open(theURL,winName,features+((features!='')?',':'')
+'width='+myWidth+',height='+myHeight);
}

function nz_PreviewImage(previewBtn){ //v 1.0
  var theform = previewBtn.form;  //find form object
  for (var i=0; i<theform.elements.length; i++){  //find file field
    var field = theform.elements[i];
    if (field.type.toUpperCase() == 'FILE'){var filefield = field; break;}
  }
  if (filefield.value == ''){alert('Please select an image.'); filefield.focus(); return false;}
  else {var thepath = filefield.value;}
  if (thepath.indexOf('"') != -1){thepath = "file://" + thepath.replace(/\"/g,"");} //make Opera path
  else if (navigator.appVersion.indexOf("MSIE") == -1){thepath = "file:///" + thepath.replace(/\\/g,"/"); thepath = thepath.replace(/\s/g,"%20");} //make NS path
  var thelink = "../preview/preview.asp?FILE=" + thepath;
 MM_openBrWindow(thelink,'preview','scrollbars=auto,resizable=yes','450','470','true')
}
//-->
</SCRIPT>
</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="setDynaList(arrDL1)">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td background="../images/top-bg.jpg"><img src="../images/top.jpg" width="696" height="106"></td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr> 
    <td valign="top" background="../images/left-bg.jpg" height="300" width="139"><img src="../images/chin.jpg" width="143" height="45"><!-- #BeginLibraryItem "/Library/tocAdmin.lbi" --> 
<div id="leftToc" style="position:absolute; left:5px; top:151px; width:105px; z-index:1"> 
  <div align="center">
    <table border="0" cellspacing="0" cellpadding="2" width="100">
      <tr> 
        <td title="Admin" class="tocButton" onMouseover="this.className='tocButtonover'; admin.className='tocLinkover'" onMouseout="this.className='tocButton'; admin.className='tocLink'" onClick="location.href='index.asp'"><a name=admin href="index.asp" class="tocLink">Admin</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Listings" class="tocButton" onMouseover="this.className='tocButtonover'; listings.className='tocLinkover'" onMouseout="this.className='tocButton'; listings.className='tocLink'" onClick="location.href='listings.asp'"><a name=listings href="listings.asp" class="tocLink">Listings</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Listing" class="tocButton" onMouseover="this.className='tocButtonover'; addlist.className='tocLinkover'" onMouseout="this.className='tocButton'; addlist.className='tocLink'" onClick="location.href='addListing.asp'"><a name=addlist href="addListing.asp" class="tocLink">Add 
          Listing</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="News" class="tocButton" onMouseover="this.className='tocButtonover'; news.className='tocLinkover'" onMouseout="this.className='tocButton'; news.className='tocLink'" onClick="location.href='news.asp'"><a name=news href="news.asp" class="tocLink">News</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add News" class="tocButton" onMouseover="this.className='tocButtonover'; addnews.className='tocLinkover'" onMouseout="this.className='tocButton'; addnews.className='tocLink'" onClick="location.href='addNews.asp'"><a name=addnews href="addNews.asp" class="tocLink">Add 
          News</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Links" class="tocButton" onMouseover="this.className='tocButtonover'; links.className='tocLinkover'" onMouseout="this.className='tocButton'; links.className='tocLink'" onClick="location.href='links.asp'"><a name=links href="links.asp" class="tocLink">Links</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Link" class="tocButton" onMouseover="this.className='tocButtonover'; addlink.className='tocLinkover'" onMouseout="this.className='tocButton'; addlink.className='tocLink'" onClick="location.href='addLink.asp'"><a name=addlink href="addLink.asp" class="tocLink">Add 
          Link</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Contacts" class="tocButton" onMouseover="this.className='tocButtonover'; contacts.className='tocLinkover'" onMouseout="this.className='tocButton'; contacts.className='tocLink'" onClick="location.href='contacts.asp'"><a name=contacts href="contacts.asp" class="tocLink">Contacts</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Contact" class="tocButton" onMouseover="this.className='tocButtonover'; addcontact.className='tocLinkover'" onMouseout="this.className='tocButton'; addcontact.className='tocLink'" onClick="location.href='addContact.asp'"><a name=addcontact href="addContact.asp" class="tocLink">Add 
          Contact</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Logout" class="tocButton" onMouseover="this.className='tocButtonover'; logout.className='tocLinkover'" onMouseout="this.className='tocButton'; logout.className='tocLink'" onClick="location.href='../login/logout.asp'"><a name=logout href="../login/logout.asp" class="tocLink">Logout</a></td>
      </tr>
    </table>
  </div>
</div><!-- #EndLibraryItem --></td>
    <td valign="top"> 
      <div align="center"> <img src="../images/headers/add-listing.gif" width="350" height="40"> 
        <table width="500" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td> 
              <p align="center">Please fill out the form below and click the "Add Listing" button.</p>
            </td>
          </tr>
        </table>
        <form name="form1" method="POST" action="<%=MM_editAction%>">
          <table width="500" border="0" cellspacing="0" cellpadding="5" class="listing">
            <tr> 
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right" width="30%">MLS Number:</td>
              <td> <input type="text" name="MLSNumber" size="8" maxlength="6"> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Photograph:</td>
              <td> <input type="file" name="File1">
                <input type="button" name="Preview" value="Preview" onClick="nz_PreviewImage(this);">
                <br> <span class="legal">(Photo 
                should not exceed 500 pixels <br>
                in width, and 30-40 kilobytes in size.<b></b>)</span> </td>
            </tr>
            <tr> 
              <td align="right">Active:</td>
              <td> <input type="checkbox" name="Active" value="checkbox" checked> 
              </td>
            </tr>
            <tr> 
              <td align="right">Location:</td>
              <td> <select name="PropertyRegionID" onChange="setDynaList(arrDL1)">
                  <%
While (NOT rsPropertyRegion.EOF)
%>
                  <option value="<%=(rsPropertyRegion.Fields.Item("PropertyRegionID").Value)%>"><%=(rsPropertyRegion.Fields.Item("PropertyRegionName").Value)%></option>
                  <%
  rsPropertyRegion.MoveNext()
Wend
If (rsPropertyRegion.CursorType > 0) Then
  rsPropertyRegion.MoveFirst
Else
  rsPropertyRegion.Requery
End If
%>
                </select> <select name="PropertyTownID">
                  <%
Dim varLoopCounter
For varLoopCounter = 1 TO varMaxLength
%>
                  <option value = "<%=varMaxWidth%>"><%=varMaxWidth%></option>
                  <%
Next
%>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Type:</td>
              <td> <select name="PropertyTypeID">
                  <%
While (NOT rsPropertyType.EOF)
%>
                  <option value="<%=(rsPropertyType.Fields.Item("PropertyTypeID").Value)%>"><%=(rsPropertyType.Fields.Item("PropertyTypeName").Value)%></option>
                  <%
  rsPropertyType.MoveNext()
Wend
If (rsPropertyType.CursorType > 0) Then
  rsPropertyType.MoveFirst
Else
  rsPropertyType.Requery
End If
%>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Bedrooms:</td>
              <td> <select name="BedroomID">
                  <option value="1">None</option>
                  <option value="2">1</option>
                  <option value="3" selected>2</option>
                  <option value="4">3</option>
                  <option value="5">4</option>
                  <option value="6">5 or more</option>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Bathrooms:</td>
              <td> <select name="BathroomID">
                  <option value="1">None</option>
                  <option value="2">1</option>
                  <option value="3" selected>2</option>
                  <option value="4">3</option>
                  <option value="5">4</option>
                  <option value="6">5 or more</option>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Address:</td>
              <td> <input type="text" name="ListingAddress" size="25"> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Price:</td>
              <td> <input type="text" name="ListingPrice" size="12"> <br> <span class="legal">(e.g., 
                <b>300000</b>)</span></td>
            </tr>
            <tr> 
              <td align="right" valign="top">Age:</td>
              <td> <input type="text" name="PropertyAge" size="4"> <span class="legal"><br>
                (e.g., <b>64</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Square Feet:</td>
              <td> <input type="text" name="ListingSqFt" size="12"> <span class="legal"><br>
                (e.g., <b>1,401</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Lot Size:</td>
              <td> <input type="text" name="ListingLotSize"> <span class="legal"><br>
                (e.g., <b>5,801 - 7,250 sq. ft.</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right" valign="top">Description:</td>
              <td> <textarea name="ListingDesc" rows="8" wrap="PHYSICAL"></textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Realtor Remarks:<br> <b class="legal">[internal 
                use only]</b>&nbsp;</td>
              <td> <textarea name="Remarks" rows="4" wrap="PHYSICAL">n/a</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Equipment:</td>
              <td> <textarea name="Equipment" rows="2" wrap="PHYSICAL">Not available.</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Amenities:</td>
              <td> <textarea name="Amenities" rows="2" wrap="PHYSICAL">Not available.</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right">Basement:</td>
              <td> <input type="checkbox" name="Basement" value="checkbox" checked> 
              </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td> <input type="submit" value="Add Listing" class="button" onMouseover="this.className='buttonover'" onMouseout="this.className='button'"> 
                <input type="button" value="Cancel" class="button" onClick="location.href='listings.asp'"  onMouseover="this.className='buttonover'" onMouseout="this.className='button'"> 
              </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
          </table>
          <input type="hidden" name="MM_insert" value="form1">
        </form>
        <p>&nbsp;</p>
        <p><a href="#top">Back to Top</a></p>
      </div>
      <p align="center">&nbsp;</p>
    </td>
  </tr>
</table>
</body>
</html>
<%
rsPropertyRegion.Close()
Set rsPropertyRegion = Nothing

rsPropertyTown.Close()
Set rsPropertyTown = Nothing

rsPropertyType.Close()
Set rsPropertyType = Nothing
%>
