<%@ Page Language="VB" ContentType="text/html" Debug="true" %>
<%@ Register TagPrefix="MM" Namespace="DreamweaverCtrls" Assembly="DreamweaverCtrls,version=1.0.0.0,publicKeyToken=836f606ede05d46a,culture=neutral" %>
<MM:DataSet 
id="rsNews"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_newmanzone") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_newmanzone") %>'
CommandText='<%# "SELECT DateAdded, NewsDesc, NewsHeadline, NewsID, NewsYear  FROM News  WHERE NewsYear = ?  ORDER BY DateAdded DESC" %>'
Debug="true"
> 
  <Parameters> 
    <Parameter Name="@NewsYear" Value='<%# IIf((Request("NewsYear") <> Nothing), Request("NewsYear"), "2002") %>' Type="VarChar" /> 
  </Parameters>
</MM:DataSet>
<MM:DataSet 
id="rsNewsYear"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_newmanzone") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_newmanzone") %>'
CommandText='<%# "SELECT DISTINCT NewsYear  FROM News  ORDER BY NewsYear DESC" %>'
Debug="true"
> </MM:DataSet>
<MM:PageBind runat="server" PostBackBind="true" />
<script language="VB" runat="server">

Sub Page_PreRender()

NewsYear.Items.Insert(0, "[Sort by]")

Dim chosenYear = Request("NewsYear")

If chosenYear <> Nothing Then
  NewsYear.Items.FindByValue(chosenYear).Selected=true
End If

End Sub

</script>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Newman Zone - News & Events</TITLE>
<META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK rel="stylesheet" href="newman.css">
</HEAD>
<BODY bgcolor="#FFFFFF">
<table width="740" border="0" cellspacing="0" cellpadding="0">
  <tr>      
    <td valign="top" rowspan="2" width="148" align="right"><!-- #BeginLibraryItem "/Library/left-toc.lbi" --><img src="images/left-toc.gif" width="148" height="456" vspace="0" hspace="0" border="0" usemap="#menumap" alt="Contents"> 
<map name="menumap"> 
  <area shape="rect" coords="45,369,87,388" href="home.aspx" alt="Home" title="Home">
      
  <area shape="rect" coords="57,310,99,329" href="news.aspx" alt="News" title="News">
  <area shape="rect" coords="57,338,115,357" href="contact.aspx" alt="Contact" title="Contact">
      
  <area shape="rect" coords="56,285,126,303" href="guestbook" alt="Guestbook" title="Guestbook">
      
  <area shape="rect" coords="58,257,129,277" href="resources.aspx" alt="Resources" title="Resources">
      
  <area shape="rect" coords="58,230,126,247" href="downloads" alt="Downloads" title="Downloads">
      
  <area shape="rect" coords="58,203,119,220" href="tutorials" alt="Tutorials" title="Tutorials">
      
  <area shape="rect" coords="58,164,116,193" href="about.aspx" alt="About Newman" title="About Newman">
      
  <area shape="circle" coords="79,57,50" href="home.aspx" alt="Home">
</map>
<!-- #EndLibraryItem --></td>      
    <td valign="top" height="108"><img src="images/topback.gif" width="194" height="108" alt="top"></td>
    </tr>
    <tr> 
    <td valign="top"> 
      <table border="0" cellpadding="10" cellspacing="0" width="592">
        <tr> 
          <td align=left valign=top width="592"><br>
            <form name="form1" method="post" action="news.aspx" runat="server">
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="254"><img src="images/headers/news.gif" alt="News &amp; Events" width="254" height="34"></td>
                  <td><asp:dropdownlist CssClass="newsMenu" DataSource="<%# rsNewsYear.DefaultView %>" DataTextField="NewsYear" DataValueField="NewsYear" ID="NewsYear" runat="server" onChange="this.form.submit();"></asp:dropdownlist>
                  </td>
                </tr>
              </table>
            </form> 
            <ASP:Repeater runat="server" DataSource='<%# rsNews.DefaultView %>'> 
              <ItemTemplate> 
                <p><b class="headline"> 
                  <%# rsNews.FieldValue("NewsHeadline", Container) %>
                  </b>
                  <MM:If runat="server" Expression='<%# rsNews.FieldValue("DateAdded", Nothing) > DateAdd("d",-30,Now) %>'>
                    <ContentsTemplate><img src="images/new-red.gif" width="20" height="10"></ContentsTemplate>
                  </MM:If>
                </p>
                <p><i> 
                  <%# DateTime.Parse(rsNews.FieldValue("DateAdded", Container)).ToString("d") %>
                  </i> -- 
                  <%# Replace((rsNews.FieldValue("NewsDesc", Container)),vbNewLine,"<br>") %>
                </p>
              </ItemTemplate>
            </ASP:Repeater>
            <p>&nbsp;</p> 
            <!-- #BeginLibraryItem "/Library/navlinks.lbi" --> 
<p class="navlinks"><a 
      href="home.aspx">Home</a>&nbsp; | &nbsp;<a 
      href="about.aspx">About</a>&nbsp; | &nbsp;<a href="tutorials">Tutorials</a>&nbsp; 
  | &nbsp;<a 
      href="downloads">Downloads</a>&nbsp; | &nbsp;<a 
      href="resources.aspx">Resources</a>&nbsp; | &nbsp;<a 
      href="guestbook">Guestbook</a>&nbsp; | &nbsp;<a 
      href="news.aspx">News</a>&nbsp; | &nbsp;<a 
      href="contact.aspx">Contact</a></p>
	  <p>&nbsp;</p>
<!-- #EndLibraryItem --></td>
        </tr>
      </table>
    </td>
    </tr>
  </table>
</BODY>
</HTML>
