<%@ Page Language="VB" ContentType="text/html" Debug="true" %>
<%@ Import Namespace="System.IO" %>
<%@ Register TagPrefix="MM" Namespace="DreamweaverCtrls" Assembly="DreamweaverCtrls,version=1.0.0.0,publicKeyToken=836f606ede05d46a,culture=neutral" %>
<MM:Insert
runat="server"
CommandText='<%# "INSERT INTO Listings (Active, Amenities, Basement, BathroomID, BedroomID, Equipment, ListingAddress, ListingDesc, ListingLotSize, ListingPic, ListingPrice, ListingSqFt, MLSNumber, PropertyAge, PropertyRegionID, PropertyTownID, PropertyTypeID, Remarks) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)" %>'
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_realty") %>'
Expression='<%# Request.Form("MM_insert") = "form1" %>'
CreateDataSet="false"
Debug="true"
> 
  <Parameters> 
    <Parameter Name="@Active" Value='<%# IIf((Request.Form("Active") <> Nothing), Request.Form("Active"), "") %>' Type="Integer" /> 
    <Parameter Name="@Amenities" Value='<%# IIf((Request.Form("Amenities") <> Nothing), Request.Form("Amenities"), "") %>' Type="WChar" /> 
    <Parameter Name="@Basement" Value='<%# IIf((Request.Form("Basement") <> Nothing), Request.Form("Basement"), "") %>' Type="Integer" /> 
    <Parameter Name="@BathroomID" Value='<%# IIf((Request.Form("BathroomID") <> Nothing), Request.Form("BathroomID"), "") %>' Type="Integer" /> 
    <Parameter Name="@BedroomID" Value='<%# IIf((Request.Form("BedroomID") <> Nothing), Request.Form("BedroomID"), "") %>' Type="Integer" /> 
    <Parameter Name="@Equipment" Value='<%# IIf((Request.Form("Equipment") <> Nothing), Request.Form("Equipment"), "") %>' Type="WChar" /> 
    <Parameter Name="@ListingAddress" Value='<%# IIf((Request.Form("ListingAddress") <> Nothing), Request.Form("ListingAddress"), "") %>' Type="WChar" /> 
    <Parameter Name="@ListingDesc" Value='<%# IIf((Request.Form("ListingDesc") <> Nothing), Request.Form("ListingDesc"), "") %>' Type="WChar" /> 
    <Parameter Name="@ListingLotSize" Value='<%# IIf((Request.Form("ListingLotSize") <> Nothing), Request.Form("ListingLotSize"), "") %>' Type="WChar" /> 
    <Parameter Name="@ListingPic" Value='<%# Path.GetFileName(File1.PostedFile.FileName) %>' Type="WChar" /> 
    <Parameter Name="@ListingPrice" Value='<%# IIf((Request.Form("ListingPrice") <> Nothing), Request.Form("ListingPrice"), "") %>' Type="Currency" /> 
    <Parameter Name="@ListingSqFt" Value='<%# IIf((Request.Form("ListingSqFt") <> Nothing), Request.Form("ListingSqFt"), "") %>' Type="WChar" /> 
    <Parameter Name="@MLSNumber" Value='<%# IIf((Request.Form("MLSNumber") <> Nothing), Request.Form("MLSNumber"), "") %>' Type="WChar" /> 
    <Parameter Name="@PropertyAge" Value='<%# IIf((Request.Form("PropertyAge") <> Nothing), Request.Form("PropertyAge"), "") %>' Type="Integer" /> 
    <Parameter Name="@PropertyRegionID" Value='<%# IIf((Request.Form("PropertyRegionID") <> Nothing), Request.Form("PropertyRegionID"), "") %>' Type="Integer" /> 
    <Parameter Name="@PropertyTownID" Value='<%# IIf((Request.Form("PropertyTownID") <> Nothing), Request.Form("PropertyTownID"), "") %>' Type="Integer" /> 
    <Parameter Name="@PropertyTypeID" Value='<%# IIf((Request.Form("PropertyTypeID") <> Nothing), Request.Form("PropertyTypeID"), "") %>' Type="Integer" /> 
    <Parameter Name="@Remarks" Value='<%# IIf((Request.Form("Remarks") <> Nothing), Request.Form("Remarks"), "") %>' Type="WChar" /> 
  </Parameters>
</MM:Insert>
<MM:DataSet 
id="rsLastIdent"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_realty") %>'
CommandText='<%# "SELECT MAX(ListingID) AS LastIdent FROM Listings" %>'
Debug="true"
> </MM:DataSet>
<% 
If Request.Form("MM_insert") = "form1"
Response.Redirect("addListing-response.aspx?ListingID=" & rsLastIdent.FieldValue("LastIdent", Nothing)) 
End If
%>
<MM:DataSet 
id="rsPropertyRegion"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_realty") %>'
CommandText='<%# "SELECT * FROM PropertyRegion" %>'
Debug="true"
> </MM:DataSet>
<MM:DataSet 
id="rsPropertyTown"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_realty") %>'
CommandText='<%# "SELECT * FROM PropertyTown" %>'
Debug="true"
> </MM:DataSet>
<MM:DataSet 
id="rsPropertyType"
runat="Server"
IsStoredProcedure="false"
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_realty") %>'
CommandText='<%# "SELECT * FROM PropertyType" %>'
Debug="true"
> </MM:DataSet>
<MM:PageBind runat="server" PostBackBind="true" />
<script language="VB" runat="server">

Sub Page_PreRender()

' From http://www.4guysfromrolla.com/webtech/091201-1.shtml

  If Request.Form("MM_insert") = "form1"

  'Grab the file name from its fully qualified path at client 
  Dim strFileName as string = File1.PostedFile.FileName
 
  ' only the attached file name not its path
  Dim c as string = System.IO.Path.GetFileName(strFileName)

  'Save uploaded file to server at C:\Inetpub\wwwroot\realty.net_empty\www\images\listings\
  Try 
    File1.PostedFile.SaveAs("C:\Inetpub\wwwroot\realty.net_empty\www\images\listings\" + c)
    'Span1.InnerHtml = "Your File Uploaded Sucessfully at server as: C:\Inetpub\wwwroot\realty.net_empty\www\images\listings\" & c
  Catch Exp as exception
    Span1.InnerHtml = "An Error occured. Please check the attached file"
  End Try

  End If 'end check if form was posted

End Sub

</script>
<html>
<head>
<title>Chip Havilmyer - Add Listing</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="../realty.css" type="text/css">
<SCRIPT Language="JavaScript" type="text/javascript">
<!--
function MM_openBrWindow(theURL,winName,features, 
myWidth, myHeight, isCenter) { //v3.0
  if(window.screen)if(isCenter)if(isCenter=="true"){
    var myLeft = (screen.width-myWidth)/2;
    var myTop = (screen.height-myHeight)/2;
    features+=(features!='')?',':'';
    features+=',left='+myLeft+',top='+myTop;
  }
window.open(theURL,winName,features+((features!='')?',':'')
+'width='+myWidth+',height='+myHeight);
}

function nz_PreviewImage(previewBtn){ //v 1.0
  var theform = previewBtn.form;  //find form object
  for (var i=0; i<theform.elements.length; i++){  //find file field
    var field = theform.elements[i];
    if (field.type.toUpperCase() == 'FILE'){var filefield = field; break;}
  }
  if (filefield.value == ''){alert('Please select an image.'); filefield.focus(); return false;}
  else {var thepath = filefield.value;}
  if (thepath.indexOf('"') != -1){thepath = "file://" + thepath.replace(/\"/g,"");} //make Opera path
  else if (navigator.appVersion.indexOf("MSIE") == -1){thepath = "file:///" + thepath.replace(/\\/g,"/"); thepath = thepath.replace(/\s/g,"%20");} //make NS path
  var thelink = "../preview/preview.aspx?FILE=" + thepath;
 MM_openBrWindow(thelink,'preview','scrollbars=auto,resizable=yes','450','470','true')
}
//-->
</SCRIPT>
</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td background="../images/top-bg.jpg"><img src="../images/top.jpg" width="696" height="106"></td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr> 
    <td valign="top" background="../images/left-bg.jpg" height="300" width="139"><img src="../images/chin.jpg" width="143" height="45"><!-- #BeginLibraryItem "/Library/tocAdmin.lbi" --> 
<div id="leftToc" style="position:absolute; left:5px; top:151px; width:105px; z-index:1"> 
  <div align="center">
    <table border="0" cellspacing="0" cellpadding="2" width="100">
      <tr> 
        <td title="Admin" class="tocButton" onMouseover="this.className='tocButtonover'; admin.className='tocLinkover'" onMouseout="this.className='tocButton'; admin.className='tocLink'" onClick="location.href='index.aspx'"><a name=admin href="index.aspx" class="tocLink">Admin</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Listings" class="tocButton" onMouseover="this.className='tocButtonover'; listings.className='tocLinkover'" onMouseout="this.className='tocButton'; listings.className='tocLink'" onClick="location.href='listings.aspx'"><a name=listings href="listings.aspx" class="tocLink">Listings</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Listing" class="tocButton" onMouseover="this.className='tocButtonover'; addlist.className='tocLinkover'" onMouseout="this.className='tocButton'; addlist.className='tocLink'" onClick="location.href='addListing.aspx'"><a name=addlist href="addListing.aspx" class="tocLink">Add 
          Listing</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="News" class="tocButton" onMouseover="this.className='tocButtonover'; news.className='tocLinkover'" onMouseout="this.className='tocButton'; news.className='tocLink'" onClick="location.href='news.aspx'"><a name=news href="news.aspx" class="tocLink">News</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add News" class="tocButton" onMouseover="this.className='tocButtonover'; addnews.className='tocLinkover'" onMouseout="this.className='tocButton'; addnews.className='tocLink'" onClick="location.href='addNews.aspx'"><a name=addnews href="addNews.aspx" class="tocLink">Add 
          News</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Links" class="tocButton" onMouseover="this.className='tocButtonover'; links.className='tocLinkover'" onMouseout="this.className='tocButton'; links.className='tocLink'" onClick="location.href='links.aspx'"><a name=links href="links.aspx" class="tocLink">Links</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Link" class="tocButton" onMouseover="this.className='tocButtonover'; addlink.className='tocLinkover'" onMouseout="this.className='tocButton'; addlink.className='tocLink'" onClick="location.href='addLink.aspx'"><a name=addlink href="addLink.aspx" class="tocLink">Add 
          Link</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Contacts" class="tocButton" onMouseover="this.className='tocButtonover'; contacts.className='tocLinkover'" onMouseout="this.className='tocButton'; contacts.className='tocLink'" onClick="location.href='contacts.aspx'"><a name=contacts href="contacts.aspx" class="tocLink">Contacts</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Add Contact" class="tocButton" onMouseover="this.className='tocButtonover'; addcontact.className='tocLinkover'" onMouseout="this.className='tocButton'; addcontact.className='tocLink'" onClick="location.href='addContact.aspx'"><a name=addcontact href="addContact.aspx" class="tocLink">Add 
          Contact</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Logout" class="tocButton" onMouseover="this.className='tocButtonover'; logout.className='tocLinkover'" onMouseout="this.className='tocButton'; logout.className='tocLink'" onClick="location.href='../login/logout.aspx'"><a name=logout href="../login/logout.aspx" class="tocLink">Logout</a></td>
      </tr>
    </table>
  </div>
</div><!-- #EndLibraryItem --></td>
    <td valign="top"> 
      <div align="center"> <img src="../images/headers/add-listing.gif" width="350" height="40"> 
        <table width="500" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td> 
              <p align="center">Please fill out the form below and click the "Add 
                Listing" button.</p>
            </td>
          </tr>
        </table>
        <form id="form1" name="form1" method="POST" enctype="multipart/form-Data" runat="server" action="addListing.aspx">
          <table width="500" border="0" cellspacing="0" cellpadding="5" class="listing">
            <tr> 
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right" width="30%"><input name="ListingID" type="hidden" id="ListingID" value="<%# rsLastIdent.FieldValue("LastIdent", Container) %>">
                MLS Number:</td>
              <td> <input type="text" name="MLSNumber" size="8" maxlength="6"> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Photograph:</td>
              <td> <input type="file" name="File1" id="File1" runat="server">
                <input name="Preview" type="button" id="Preview" value="Preview" onClick="nz_PreviewImage(this);">
                <br> <span class="legal">(Photo 
                should not exceed 500 pixels <br>
                in width, and 30-40 kilobytes in size.<b></b>)</span> </td>
            </tr>
            <tr> 
              <td align="right">Active:</td>
              <td> <input type="checkbox" name="Active" value="-1" checked> </td>
            </tr>
            <tr> 
              <td align="right">Location:</td>
              <td><asp:dropdownlist DataSource="<%# rsPropertyRegion.DefaultView %>" DataTextField="PropertyRegionName" DataValueField="PropertyRegionID" ID="PropertyRegionID" runat="server"></asp:dropdownlist> <asp:dropdownlist DataSource="<%# rsPropertyTown.DefaultView %>" DataTextField="PropertyTownName" DataValueField="PropertyTownID" ID="PropertyTownID" runat="server"></asp:dropdownlist> </td>
            </tr>
            <tr> 
              <td align="right">Type:</td>
              <td> <asp:dropdownlist DataSource="<%# rsPropertyType.DefaultView %>" DataTextField="PropertyTypeName" DataValueField="PropertyTypeID" ID="PropertyTypeID" runat="server"></asp:dropdownlist></td>
            </tr>
            <tr> 
              <td align="right">Bedrooms:</td>
              <td> <select name="BedroomID">
                  <option value="1">None</option>
                  <option value="2">1</option>
                  <option value="3" selected>2</option>
                  <option value="4">3</option>
                  <option value="5">4</option>
                  <option value="6">5 or more</option>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Bathrooms:</td>
              <td> <select name="BathroomID">
                  <option value="1">None</option>
                  <option value="2">1</option>
                  <option value="3" selected>2</option>
                  <option value="4">3</option>
                  <option value="5">4</option>
                  <option value="6">5 or more</option>
                </select> </td>
            </tr>
            <tr> 
              <td align="right">Address:</td>
              <td> <input type="text" name="ListingAddress" size="25"> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Price:</td>
              <td> <input type="text" name="ListingPrice" size="12"> <br> <span class="legal">(e.g., 
                <b>300000</b>)</span></td>
            </tr>
            <tr> 
              <td align="right" valign="top">Age:</td>
              <td> <input type="text" name="PropertyAge" size="4"> <span class="legal"><br>
                (e.g., <b>64</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Square Feet:</td>
              <td> <input type="text" name="ListingSqFt" size="12"> <span class="legal"><br>
                (e.g., <b>1,401</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Lot Size:</td>
              <td> <input type="text" name="ListingLotSize"> <span class="legal"><br>
                (e.g., <b>5,801 - 7,250 sq. ft.</b>)</span> </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right" valign="top">Description:</td>
              <td> <textarea name="ListingDesc" rows="8" wrap="PHYSICAL"></textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Realtor Remarks:<br> <b class="legal">[internal 
                use only]</b>&nbsp;</td>
              <td> <textarea name="Remarks" rows="4" wrap="PHYSICAL">n/a</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Equipment:</td>
              <td> <textarea name="Equipment" rows="2" wrap="PHYSICAL">Not available.</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right" valign="top">Amenities:</td>
              <td> <textarea name="Amenities" rows="2" wrap="PHYSICAL">Not available.</textarea> 
              </td>
            </tr>
            <tr> 
              <td align="right">Basement:</td>
              <td> <input type="checkbox" name="Basement" value="-1" checked> 
              </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td> <input type="submit" value="Add Listing" class="button" onMouseover="this.className='buttonover'" onMouseout="this.className='button'" runat="server"> 
                <input type="button" value="Cancel" class="button" onClick="location.href='listings.aspx'"  onMouseover="this.className='buttonover'" onMouseout="this.className='button'"> 
              </td>
            </tr>
            <tr> 
              <td align="right">&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
          </table>
          <input type="hidden" name="MM_insert" value="form1">
        </form>
        <p>&nbsp;</p>
		<Span ID="Span1" Style="Color:Red" RunAt="Server"/>
        <p><a href="#top">Back to Top</a></p>
      </div>
      <p align="center">&nbsp;</p>
    </td>
  </tr>
</table>
</body>
</html>