<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OLEDB" %>

<script language="VB" runat="server">

'From http://aspalliance.com/aldotnet/examples/datalistgroupby.txt

    Dim myLinksDataSet As DataSet = New DataSet()

    Sub Page_Load(Sender As Object, E As EventArgs)
    
	'Connect to the database
        Dim myConnection As New OleDbConnection(ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_realty"))
        'Dim myConnection As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Inetpub\wwwroot\realty.net_empty\db\realty.mdb;")
	
	'Fill our Links DataSet to be used later
	'Need to do this before filling the DataList or our DataSet will be null we attempt to
	'use it as the DataList binds each item
	Dim myAdapter As New OleDbDataAdapter("SELECT LinkCatID, LinkTitle, LinkURL, LinkDescription FROM qLinks WHERE RealtorID = 1", myConnection)
        myAdapter.Fill(myLinksDataSet, "qLinks")


	'Open the connection, grab all of the main categories (LinkCats) and fill the DataList
        Dim myCommand As OleDbCommand = New OleDbCommand("SELECT * FROM qLinkCats", myConnection)
  	
        myConnection.Open()
    
	Dim myDataReader As OleDbDataReader = myCommand.ExecuteReader(CommandBehavior.CloseConnection)
        LinkCats.DataSource = myDataReader
        LinkCats.DataBind()

	myDataReader.Close()

    End Sub  

    Function GetLinksView (FilterField As String) As DataView

	Dim myLinksDataView As DataView = myLinksDataSet.Tables("qLinks").DefaultView()
    	myLinksDataView.RowFilter = "LinkCatID = '" & FilterField & "'"
	
	Return myLinksDataView
	
    End Function

</script>
<html>
<head>
<title>Chip Havilmyer - Links</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="realty.css" type="text/css">
</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td background="images/top-bg.jpg"><img src="images/top.jpg" width="696" height="106"></td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr> 
    <td valign="top" background="images/left-bg.jpg" width="143" height="600"><img src="images/chin.jpg" width="143" height="45"><!-- #BeginLibraryItem "/Library/tocLayer.lbi" --><div id="leftToc" style="position:absolute; left:5px; top:151px; width:105px; z-index:1"> 
  <div align="center">
    <table border="0" cellspacing="0" cellpadding="2" width="100">
      <tr> 
        <td title="Home" class="tocButton" onMouseover="this.className='tocButtonover'; home.className='tocLinkover'" onMouseout="this.className='tocButton'; home.className='tocLink'" onClick="location.href='index.aspx'"><a name="home" href="index.aspx" class="tocLink">Home</a></td>
      </tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Listings" class="tocButton" onMouseover="this.className='tocButtonover'; listings.className='tocLinkover'" onMouseout="this.className='tocButton'; listings.className='tocLink'" onClick="location.href='listings.aspx'"><a name=listings href="listings.aspx" class="tocLink">Listings</a></td></tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Links" class="tocButton" onMouseover="this.className='tocButtonover'; mylinks.className='tocLinkover'" onMouseout="this.className='tocButton'; mylinks.className='tocLink'" onClick="location.href='links.aspx'"><a name=mylinks href="links.aspx" class="tocLink">Links</a></td></tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Bio" class="tocButton" onMouseover="this.className='tocButtonover'; bio.className='tocLinkover'" onMouseout="this.className='tocButton'; bio.className='tocLink'" onClick="location.href='bio.htm'"><a name=bio href="bio.htm" class="tocLink">Biography</a></td></tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="News" class="tocButton" onMouseover="this.className='tocButtonover'; news.className='tocLinkover'" onMouseout="this.className='tocButton'; news.className='tocLink'" onClick="location.href='news.aspx'"><a name=news href="news.aspx" class="tocLink">News</a></td></tr>
      <tr> 
        <td height=4></td></tr>
      <tr> 
        <td title="Contact" class="tocButton" onMouseover="this.className='tocButtonover'; contact.className='tocLinkover'" onMouseout="this.className='tocButton'; contact.className='tocLink'" onClick="location.href='contact.asp'"><a name=contact href="contact.asp" class="tocLink">Contact</a></td></tr>
    </table>
  </div>
</div><!-- #EndLibraryItem --></td>
    <td valign="top"> 
      <div align="center"> 
        <p><img src="images/headers/links.gif" width="350" height="40"><br>
          Below are some links I thought you might find useful. <br>
          If you'd like to add a link to this page, please <a href="contact.asp?subject=Add%20a%20Link">contact 
          me</a>.</p>
      </div>
<table border=0 align=center><tr><td valign="top">
      <ASP:Repeater id="LinkCats" runat="server"> 
        <ItemTemplate> 
          <table border="0" cellspacing="0" cellpadding="5" width="90%">
            <tr> 
              <td bgcolor="#336699" align="center" class="linkshead"><b><font color="#FFFFFF"> 
                <%# Container.DataItem("LinkCatName") %>
                </font></b></td>
            </tr>
            <tr> 
              <td class="adminTbl" width="300"> <ul class="bullets">
      		<ASP:Repeater id="Links" runat="server" datasource='<%# GetLinksView(CType(DataBinder.Eval(Container.DataItem,"LinkCatID"), String)) %>'> 
        	 <ItemTemplate> 
                  <li class="legal"><a href="http://<%# Container.DataItem("LinkURL") %>" target="_blank"><b> 
                    <%# Container.DataItem("LinkTitle") %>
                    </b></a> <br>
                    <%# Container.DataItem("LinkDescription") %>
                  </li>
        	 </ItemTemplate>
    		</ASP:Repeater>
               </ul></td>
            </tr>
          </table>
          <br>
        </ItemTemplate>

        <AlternatingItemTemplate>
<td> 
          <table border="0" cellspacing="0" cellpadding="5" width="90%">
            <tr> 
              <td bgcolor="#336699" align="center" class="linkshead"><b><font color="#FFFFFF"> 
                <%# Container.DataItem("LinkCatName") %>
                </font></b></td>
            </tr>
            <tr> 
              <td class="adminTbl" width="300"> <ul class="bullets">
      		<ASP:Repeater id="Links" runat="server" datasource='<%# GetLinksView(CType(DataBinder.Eval(Container.DataItem,"LinkCatID"), String)) %>'> 
        	 <ItemTemplate> 
                  <li class="legal"><a href="http://<%# Container.DataItem("LinkURL") %>" target="_blank"><b> 
                    <%# Container.DataItem("LinkTitle") %>
                    </b></a> <br>
                    <%# Container.DataItem("LinkDescription") %>
                  </li>
        	 </ItemTemplate>
    		</ASP:Repeater>
               </ul></td>
            </tr>
          </table>
          <br>
</td></tr><tr><td>
        </AlternatingItemTemplate>

      </ASP:Repeater>
</td></tr></table>
      <p>&nbsp;</p>
      <p align="center"><a href="#top">Back to Top</a></p>
      <p align="center">&nbsp;</p>
    </td>
  </tr>
</table>
</body>
</html>

